# Workflow Monitor
## Design
- Reads in HTCondor logs
    - HTCondor executes a job
    - condor-submit executed
    - Log file is created and written to a location
    - Meanwhile, wf_monitor is checking that location for the appearance of a log, sleeping between attempts
    - Once log file is found, its contents are read in
- Parses them and converts them into an AMQP event (to be determined)
    - Log file contents are parsed and relevant details extracted (relevant details TBD)
    - Those relevant details are organized in a data structure
    - An AMQPEvent is then constructed from that data structure
- AMQPEvent is given to events/pymygdala/some currently nonexistant service